function [n,Yavg] = computestats(Y, ndx, nqr, tomex)
 if(nargin<4)
     tomex=1;
 end
 
 if tomex
    [n,Yavg] = computestats_mex(Y',ndx,nqr);
    Yavg = Yavg';
    return;
 end
 
 
 n = nan(nqr,1);
 Yavg = nan(nqr,size(Y,2));
 
 for i=1:nqr
     idx = ndx==i;
     Yavg(i,:) = mean(Y(idx,:),1);
     n(i) = sum(idx);
 end
 
end
