function loss = binary_zeroone_loss(pred_y, true_y)
%  
%  function loss = binary_zeroone_loss(pred_y, true_y)
%
%  true_y expected to be binary in {0,1}
%  y must be in single dimensional in [0,1], will round and compare against true_y, and compute 0-1 loss
%

    df = abs(round(pred_y) - true_y);
    loss = mean(df);    
end