function loss = rmse_loss(pred_y, true_y)
%  
%  function loss = rmse_loss(pred_y, true_y)
%
%  y can be multidim, with structure  [npts, ndim]
%

    df = pred_y - true_y;
    loss = sqrt(nanmean(nansum(df.^2,2),1));    % sum over the coords, then mean over pts, then sqrt
end